# $Revision: 1.9 $, $Date: 2011/05/17 14:39:42 $
Summary:	C++ interface to MySQL Database
Summary(pl.UTF-8):	Interfejs C++ do bazy MySQL
Name:		mysqlcppapi
Version:	2.0.0
%define	pre	rc2
Release:	0.%{pre}.5
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/mysqlcppapi/%{name}-%{version}_%{pre}.tar.gz
# Source0-md5:	640e05864f3f688fcb4aba0505e1ffe9
Patch0:		%{name}-build.patch
URL:		http://www.advogato.org/proj/mysqlcppapi/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mysql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mysqlcppapi is a C++ interface to MySQL API.

%description -l pl.UTF-8
Mysqlcppapi jest interfejsem C++ do API MySQL.

%package devel
Summary:	C++ interface to MySQL Database (headers)
Summary(pl.UTF-8):	Interfejs C++ do bazy MySQL (pliki nagłówkowe)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	mysql-devel

%description devel
Mysqlcppapi is a C++ interface to MySQL API. This package contains the
development header files necessary to develop MySQL client
applications using Mysql++.

%description devel -l pl.UTF-8
Mysqlcppapi jest interfejsem C++ do API MySQL. Ten pakiet zawiera
pliki nagłówkowe potrzebne do rozwoju aplikacji klienckich używających
Mysql++.

%package static
Summary:	C++ interface to MySQL Database (static libraries)
Summary(pl.UTF-8):	Interfejs C++ do bazy MySQL (biblioteki statyczne)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Mysqlcppapi is a C++ interface to MySQL API. This package contains the
static libraries.

%description static -l pl.UTF-8
Mysqlcppapi jest interfejsem C++ do API MySQL. Ten pakiet zawiera
biblioteki statyczne.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	--with-mysql=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.cc $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO ChangeLog AUTHORS NEWS 
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysqlcppapi.spec,v $
Revision 1.9  2011/05/17 14:39:42  lisu
- rel 5

Revision 1.8  2011/02/20 20:59:22  arekm
- rel 4

Revision 1.7  2011/02/03 19:50:59  arekm
- rel .3

Revision 1.6  2007/11/18 18:04:29  arekm
- rel .2

Revision 1.5  2007-07-11 12:46:49  baggins
- up to 2.0.0_rc2

Revision 1.4  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.2  2006/01/13 19:38:20  qboosh
- unified examplesdir, base docs to base, cosmetics

Revision 1.1  2006/01/11 16:24:52  baggins
- initial revision by Sebastian Zagrodzki <zagrodzki@pld-linux.org>
